<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: lpt_coal_monitor_m Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">lpt_coal_monitor_m Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a8bd8598957e7442cb4d9aef286c52e32"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__coal__monitor__m.html#a8bd8598957e7442cb4d9aef286c52e32">lpt_coal_monitor_init</a> (vdf, lpt_in)</td></tr>
<tr class="separator:a8bd8598957e7442cb4d9aef286c52e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb764d45019f13211bfd08caf07489a2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__coal__monitor__m.html#adb764d45019f13211bfd08caf07489a2">lpt_coal_monitor_update</a> (vdf, lpt_in)</td></tr>
<tr class="separator:adb764d45019f13211bfd08caf07489a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:afd96dbb5a7ef03fb04ecdb00d84d33de"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacelpt__coal__monitor__m.html#afd96dbb5a7ef03fb04ecdb00d84d33de">mgas_old</a></td></tr>
<tr class="separator:afd96dbb5a7ef03fb04ecdb00d84d33de"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a8bd8598957e7442cb4d9aef286c52e32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bd8598957e7442cb4d9aef286c52e32">&#9670;&nbsp;</a></span>lpt_coal_monitor_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_coal_monitor_m::lpt_coal_monitor_init </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>lpt_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db">monitor_func::aget_monitor()</a>, and <a class="el" href="namespacelpt__coal__monitor__m.html#afd96dbb5a7ef03fb04ecdb00d84d33de">mgas_old</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_cgraph.png" border="0" usemap="#namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_cgraph" alt=""/></div>
<map name="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_cgraph" id="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_cgraph">
<area shape="rect" id="node2" href="namespacemonitor__func.html#a5f58590d24bbef2f58d303d2df4400db" title="monitor_func::aget\l_monitor" alt="" coords="203,5,333,47"/>
<area shape="rect" id="node3" href="namespacemonitor__func.html#a2a57028b985bb8ae85834c842506acfa" title="monitor_func::allocate\l_monitor" alt="" coords="381,5,532,47"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="580,5,731,47"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="779,5,927,47"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_icgraph.png" border="0" usemap="#namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_icgraph" alt=""/></div>
<map name="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_icgraph" id="namespacelpt__coal__monitor__m_a8bd8598957e7442cb4d9aef286c52e32_icgraph">
<area shape="rect" id="node2" href="namespacelpt__coal.html#a877cea62c9f56e50fbd89a971883d9d3" title="lpt_coal::lpt_coal_init" alt="" coords="203,173,347,199"/>
<area shape="rect" id="node3" href="namespacelpt__m.html#acc2a74921c2c02fb2ea5d53346bc0f26" title="initializes the lpt module by reading in the relevant input flags " alt="" coords="395,173,495,199"/>
<area shape="rect" id="node4" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="561,71,685,112"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="549,136,698,177"/>
<area shape="rect" id="node14" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="543,202,704,229"/>
<area shape="rect" id="node17" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="558,253,689,295"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="767,71,901,112"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="977,5,1105,47"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="973,71,1108,112"/>
<area shape="rect" id="node7" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1177,13,1240,39"/>
<area shape="rect" id="node9" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1175,78,1243,105"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="755,136,913,177"/>
<area shape="rect" id="node12" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="964,136,1117,177"/>
<area shape="rect" id="node13" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1165,143,1252,170"/>
<area shape="rect" id="node15" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="752,202,916,229"/>
<area shape="rect" id="node16" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1019,202,1063,229"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="764,253,904,295"/>
<area shape="rect" id="node19" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="973,253,1108,295"/>
<area shape="rect" id="node20" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1174,261,1243,287"/>
</map>
</div>

</div>
</div>
<a id="adb764d45019f13211bfd08caf07489a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb764d45019f13211bfd08caf07489a2">&#9670;&nbsp;</a></span>lpt_coal_monitor_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public lpt_coal_monitor_m::lpt_coal_monitor_update </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structvdf__defs_1_1vdf__.html">vdf_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>vdf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structlpt__defs__m_1_1lpt__t.html">lpt_t</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>lpt_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacetime__info.html#af9416e2d1068db2222365dc635a441ad">time_info::dt</a>, <a class="el" href="namespacelpt__coal__data.html#a8934bdda6c0c50d3b2a1e34a4c7614b0">lpt_coal_data::nd_coal</a>, <a class="el" href="namespacetime__info.html#a3d5e47739a68cb910efc7ce71197a530">time_info::niter</a>, <a class="el" href="namespacelpt__coal__data.html#a93c668d3e5fef0453c78c7391578f558">lpt_coal_data::rho_char</a>, <a class="el" href="namespacelpt__coal__data.html#ac506bcd232b8c00d372ad1aaf1aba41d">lpt_coal_data::rho_coal</a>, <a class="el" href="namespacelpt__coal__data.html#a50594ab06a35ba6fdb4240f8ce0a1f65">lpt_coal_data::rho_cross</a>, <a class="el" href="namespacelpt__coal__data.html#afa91b24c82b323ee98d875890cbdb6af">lpt_coal_data::rho_gas</a>, <a class="el" href="namespacelpt__coal__data.html#a72c18d8b74a27022ac2923f92e6e732b">lpt_coal_data::rho_meta</a>, and <a class="el" href="namespacelpt__coal__data.html#a95d1d97e0b68cab7a4acc6a0a025af8e">lpt_coal_data::rho_tar</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacelpt__coal__monitor__m_adb764d45019f13211bfd08caf07489a2_icgraph.png" border="0" usemap="#namespacelpt__coal__monitor__m_adb764d45019f13211bfd08caf07489a2_icgraph" alt=""/></div>
<map name="namespacelpt__coal__monitor__m_adb764d45019f13211bfd08caf07489a2_icgraph" id="namespacelpt__coal__monitor__m_adb764d45019f13211bfd08caf07489a2_icgraph">
<area shape="rect" id="node2" href="namespacelpt__coal.html#ad62ceb530fcbd00ea04cd7d2a416369e" title="lpt_coal::lpt_coal\l_monitor" alt="" coords="224,288,344,329"/>
<area shape="rect" id="node3" href="namespacelpt__m.html#ae62bc7d4269c189095f1d5de492a4842" title="updates the lpt monitor variables each timestep " alt="" coords="392,295,519,322"/>
<area shape="rect" id="node4" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="569,39,728,80"/>
<area shape="rect" id="node7" href="arts__cf__md__simulation_8f90.html#a045f222d3fe1b20f8a61f540ca245df9" title="step_2" alt="" coords="618,375,679,402"/>
<area shape="rect" id="node8" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="582,136,715,177"/>
<area shape="rect" id="node13" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="585,495,713,536"/>
<area shape="rect" id="node17" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="567,325,731,351"/>
<area shape="rect" id="node19" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="579,259,719,300"/>
<area shape="rect" id="node5" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="779,5,932,47"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="990,13,1077,39"/>
<area shape="rect" id="node9" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="791,136,919,177"/>
<area shape="rect" id="node11" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="788,71,923,112"/>
<area shape="rect" id="node10" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1002,114,1065,141"/>
<area shape="rect" id="node12" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="999,63,1067,90"/>
<area shape="rect" id="node14" href="arts__cf_2arts__cf_8f90.html#ae28d576a7e640ac338dc0cfe39b4a2e3" title="simulation_run" alt="" coords="802,561,909,587"/>
<area shape="rect" id="node15" href="namespacearts__wc__simulation.html#ac20af3942c7b3d8ec4df423627724cd7" title="arts_wc_simulation\l::arts_wc_poststep" alt="" coords="788,495,923,536"/>
<area shape="rect" id="node16" href="arts__cf_2arts__wc_8f90.html#afc8fbe711a3d2872c20abc0b8848acb5" title="simulation_run" alt="" coords="980,570,1087,597"/>
<area shape="rect" id="node18" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1011,519,1055,546"/>
<area shape="rect" id="node20" href="arts_2arts_8f90.html#a497ad2f15ec27f7e5bff2e078bffbf5d" title="simulation_run" alt="" coords="802,266,909,293"/>
<area shape="rect" id="node21" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="999,215,1068,242"/>
<area shape="rect" id="node22" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="985,266,1081,293"/>
<area shape="rect" id="node23" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="987,317,1079,343"/>
<area shape="rect" id="node24" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="1005,367,1062,394"/>
<area shape="rect" id="node25" href="nga__if__ib_2nga__if__ib_8f90.html#a40b85c09234cf3658b0935a7dda16f35" title="nga_if_ib" alt="" coords="996,418,1071,445"/>
<area shape="rect" id="node26" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="984,469,1083,495"/>
<area shape="rect" id="node27" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="1005,165,1062,191"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="afd96dbb5a7ef03fb04ecdb00d84d33de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd96dbb5a7ef03fb04ecdb00d84d33de">&#9670;&nbsp;</a></span>mgas_old</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) lpt_coal_monitor_m::mgas_old</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
